complexType "Valuation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 attributes, 2 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 2 attributes, 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?
</...>

Content Model Elements (2):

  objectReference,
  valuationScenarioReference (defined in Valuation complexType)

Known Direct Subtypes (3):

  AssetValuation, BasicAssetValuation, PricingStructureValuation

Known Indirect Subtypes (5):

  CreditCurveValuation, DefaultProbabilityCurve, FxCurveValuation, VolatilityMatrix, YieldCurveValuation

All Direct / Indirect Based Elements (12):

  assetQuote, assetValuation, associatedValue, creditCurveValuation, defaultProbabilityCurve, fxCurveValuation, | pricingStructureValuation, valuation (defined in AssetValuationOrReference.model group), valuation (defined in Position complexType), valuation (defined in PositionWithoutId.model group), volatilityMatrixValuation, yieldCurveValuation

Known Usage Locations

- In derivations of other global types (3):

  AssetValuation (as extension base), BasicAssetValuation (as extension base), | PricingStructureValuation (as extension base)

Annotation
A valuation of an valuable object - an asset or a pricing input. This is an abstract type, used as a base for values of pricing structures such as yield curves as well as asset values.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Valuation"> <xsd:sequence> <xsd:element minOccurs="0" name="objectReference" type="AnyAssetReference"/> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute ecore:reference="ValuationScenario" name="definitionRef" type="xsd:IDREF"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 2/2)
definitionRef

  Type: | xsd:IDREF, predefined
  Use: | optional

  An optional reference to the scenario that this valuation applies to.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute ecore:reference="ValuationScenario" name="definitionRef" type="xsd:IDREF"/>

id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
objectReference

  Type: | AnyAssetReference, empty content

  A reference to the asset or pricing structure that this values.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="objectReference" type="AnyAssetReference"/>

valuationScenarioReference

  Type: | ValuationScenarioReference, empty content

  A reference to the valuation scenario used to calculate this valuation. If the Valuation occurs within a ValuationSet, this value is optional and is defaulted from the ValuationSet. If this value occurs in both places, the lower level value (i.e. the one here) overrides that in the higher (i.e. ValuationSet).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.